<?php
/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    CargoHub
 */

if (!defined('WPINC')) {
    die;
}

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 */
class CargoHub_Deactivator {

    /**
     * Clean up any necessary data during deactivation.
     *
     * @since    1.0.0
     */
    public static function deactivate() {
        // Force WooCommerce to refresh permalink rules
        update_option('woocommerce_queue_flush_rewrite_rules', 'yes');
        
        // We don't delete tables or settings here to preserve data
        // If a complete uninstall is needed, use uninstall.php
    }
}