<?php
/**
 * Product COD option template
 *
 * @package CargoHub
 */

defined('ABSPATH') || exit;

// Variables should be defined by wc_get_template
// $cod_fee_percentage (float) The COD fee percentage
// $cod_selected (bool) Whether COD is selected

?>
<div class="cargohub-cod-option">
    <h3><?php esc_html_e('Payment Option', 'cargohub'); ?></h3>
    
    <div class="cargohub-field-row">
        <label for="cargohub_cod_option" class="cargohub-checkbox-label">
            <input type="checkbox" 
                   id="cargohub_cod_option" 
                   name="cargohub_cod_option" 
                   value="yes" 
                   <?php checked($cod_selected, true); ?> 
                   class="cargohub-checkbox" />
            
            <?php 
            // Translators: %s is the COD fee percentage
            printf(
                esc_html__('Cash on Delivery (additional %s%% fee)', 'cargohub'), 
                esc_html($cod_fee_percentage)
            ); 
            ?>
        </label>
        
        <p class="description">
            <?php esc_html_e('Select this option if you want to pay when the package is delivered.', 'cargohub'); ?>
        </p>
    </div>
</div>
<hr class="cargohub-separator" />