<?php
/**
 * Product service type selector template
 *
 * @package CargoHub
 */

defined('ABSPATH') || exit;

// Variables should be defined by wc_get_template
// $service_types (array) The available service types
// $selected_service (string) The currently selected service type

?>
<div class="cargohub-service-type">
    <h3><?php esc_html_e('Delivery Service', 'cargohub'); ?></h3>
    
    <div class="cargohub-field-row">
        <label for="cargohub_service_type">
            <?php esc_html_e('Service Type', 'cargohub'); ?>
            <abbr class="required" title="<?php esc_attr_e('required', 'cargohub'); ?>">*</abbr>
        </label>
        
        <select id="cargohub_service_type" name="cargohub_service_type" class="cargohub-select-field" required>
            <option value=""><?php esc_html_e('-- Select Service Type --', 'cargohub'); ?></option>
            
            <?php foreach ($service_types as $service_type) : ?>
                <option value="<?php echo esc_attr($service_type->service_code); ?>" <?php selected($selected_service, $service_type->service_code); ?>>
                    <?php echo esc_html($service_type->service_name); ?>
                    <?php if (!empty($service_type->description)) : ?>
                        - <?php echo esc_html($service_type->description); ?>
                    <?php endif; ?>
                </option>
            <?php endforeach; ?>
        </select>
        
        <p class="description">
            <?php esc_html_e('Select your preferred delivery service type.', 'cargohub'); ?>
        </p>
    </div>
</div>
<hr class="cargohub-separator" />